Subject: Linux-Activists - DOC Channel digest. 93-6-29-5:46
From: "Linux Activists" <[email-masked]>
To: "Linux-Activists" <[email-masked]>
Date: Thu, 29 Jul 1993 11:33:08 +0300

Topics:
	 Update and other silliness

----------------------------------------------------------------------

From: [email-masked] (Matt Welsh)
Subject: Update and other silliness
Date: Thu, 29 Jul 1993 04:23:50 +0300

Hello folks,

I'ts been a while since this list contained any kind of potent 
discussion about docissues, so I thought I'd drop a line. 

I'm working furiously on the I&GS (dropped the "Setup" from the title;
it was redundant)... should have a release very soon. I just need to
update one more chapter and start work on another. This certainly takes
more time than you would ever thing... I could have written the entire 
book in a month, but when you have to edit it yourself... every few weeks
I get the urge to throw out huge portions and rewrite them entirely. I 
have to resist this urge if I ever want to release the book.

As you know, Lars released an alpha SAG, and Olaf released another
alpha NAG. Great work. 

I've been looking at LameTeX again for producing ASCII output. 
It's a great tool--- it lacks one or two key features, but other
than that it will suffice. (It needs command and environment definition,
but I think that should be easy to add). And, for producing the ASCII
version, we can "comment out" complicated parts, such as pictures and
figures... in other words, the ASCII version will contain the bulk
of the content, but the more intricate and tricky parts will be left out.
Sounds fair? I think so. For tricky things we can also find viable
ASCII counterparts. It should be quite easy to set a variable in the source
to test for LaTeX or LameTeX. But in general LameTeX produces great ASCII
output with very little modifications to the original source. The more
you stick to convention in your source, the more luck you'll have.

Someone (who shall remain nameless) sent me the following poem, which
I think defines the essence of the LDP. I know that it's been a rough
ride... we don't have much to show for months of work. But it is time-
consuming as hell. And most of us have real lives and jobs and other
things to be doing. We now have four alpha books out: The I&GS, 
NAG, SAG, and KHG. The I&GS, NAG, and SAG should be released to the public.
Not to mention a slew of man pages. I think that it's been reasonably
successful--- it was, from the beginning, a long-term effort for books
which will last---not just to get something quick written. 

All right, here's the poem. No, I didn't write it. But somewhere out
there is a true poetic talent just waiting to be born...

--
A wondrous thing,
and beautiful,
'tis to write,
a book.

I'd like to sing,
of the sweat,
the blood and tear,
which it also took.

It started back in,
nineteen-ninety-two,
when users whined,
"we can nothing do!"

They wanted to know,
what their problem was,
and how to fix it
(by yesterday; wow).

We put the answers in,
a Linux f-a-q,
hoped to get away,
from any more writin'.

"That's too long,
it's hard to search,
and we don't read it,
any-which-way!"

Then a few of us,
joined toghether
(virtually, you know),
to start the LDP.

We started to write,
or plan, at least,
several books,
one for every need.

The start was fun,
a lot of talk,
an outline,
then a slew.

Then silence came,
the work began,
some wrote less,
others more.

A blank screen,
oh its horrible,
it sits there,
laughs in the face.

We still await,
the final day,
when everything,
will be done.

Until then,
all we have,
is a draft,
for you to comment on.

------------------------------

End of DOC Digest
*****************
-------